<template>
  <CModal
    :show.sync="visible"
    :centered="false"
    :close-on-backdrop="false"
    size="lg"
    class="modal-form"
    @open="$emit('open')"
    @close="$emit('close')"
  >
    <template #header>
      <h6 class="modal-title">
        <font-awesome-icon :icon="['fas', `${id ? 'pencil-alt' : 'plus-circle'}`]" />
        {{ id ? 'Edit zone' : 'Create new zone' }}
      </h6>
      <CButtonClose @click="onCancel" />
    </template>

    <zone-form
      :id="id"
      @modify="$emit('modify')"
      @close="onCancel"
    />

    <template #footer>
      <span />
    </template>
  </CModal>
</template>

<script>
import ZoneForm from './ZoneForm'

export default {
  components: {
    ZoneForm
  },

  props: {
    /**
     * Zone id
     */
    id: {
      type: Number,
      default: 0
    }
  },

  data () {
    return {
      visible: false
    }
  },

  methods: {
    /**
     * Open dialog
     */
    open () {
      this.visible = true
    },

    /**
     * When you click Cancel button
     */
    onCancel () {
      this.visible = false
    }
  }
}
</script>
